Page MenuHomeFreeBSD

Extend path completion by shell info in porters handbook.
AcceptedPublic

Authored by sevan on Aug 12 2018, 6:16 PM.

Details

Reviewers
bcr
mat
0mp
Group Reviewers
Doc Committers
Summary

bug 225008 by yuri@
Add Fish example
Add another location used by Bash
Add the filename used by ZSH.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18784
Build 18452: arc lint + arc unit

Event Timeline

sevan created this revision.Aug 12 2018, 6:16 PM
mat added inline comments.Aug 13 2018, 12:02 PM
en_US.ISO8859-1/books/porters-handbook/special/chapter.xml
5835

If you want to use of, it needs to be written Path of shell completion files or something similar. I would just keep this as it was.

5841–5846

There should only be one directory here, so that committers do not choose randomly where to put the files.

Looking at the bash_completion code, it looks like etc/bash_completion.d is for legacy scripts, and share/bash-completion/completions is for recent scripts.

5842

It would be preferable to say something specific, or to not say anything.

sevan updated this revision to Diff 46652.Aug 14 2018, 8:20 AM

Don't reword the title, it was ok to begin with.
Switch bash location from legacy to current path.
Drop superfluous sentence.

sevan marked 3 inline comments as done.Aug 14 2018, 8:23 AM

updated

mat accepted this revision.Aug 14 2018, 10:38 AM
This revision is now accepted and ready to land.Aug 14 2018, 10:38 AM
mat added a comment.Aug 14 2018, 10:39 AM

I have been wondering though, PORTNAME seems wrong in there, shouldn't it be command-name instead?

0mp accepted this revision.Aug 16 2018, 5:10 PM